blaze-html-0.4.3.1: A blazingly fast HTML combinator library for Haskell

Text.Blaze.Renderer.Text

Description

A renderer that produces a lazy `Text` value, using the Text Builder.

Synopsis

- renderHtmlBuilder :: Html -> Builder
- renderHtmlBuilderWith :: (ByteString -> Text) -> Html -> Builder
- renderHtml :: Html -> Text
- renderHtmlWith :: (ByteString -> Text) -> Html -> Text

# Documentation

renderHtmlBuilder :: Html -> Builder

Render HTML to a text builder

renderHtmlBuilderWith

Arguments

:: (ByteString -> Text) | Decoder for bytestrings
-> Html | HTML to render
-> Builder | Resulting builder

Render some `Html` to a Text `Builder`.

renderHtml

Arguments

:: Html | HTML to render
-> Text | Resulting `Text`

Render HTML to a lazy Text value. If there are any ByteString's in the input HTML, this function will consider them as UTF-8 encoded values and decode them that way.

renderHtmlWith

Arguments

:: (ByteString -> Text) | Decoder for ByteString's.
-> Html | HTML to render
-> Text |

Render HTML to a lazy Text value. This function allows you to specify what should happen with ByteString's in the input HTML. You can decode them or drop them, this depends on the application...